TechDraw: Vertice cosmetico

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw CosmeticVertex and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano
Arrow-left.svg TechDraw RichTextAnnotation.svg Blocco di testo Pagina precedente:
Pagina successiva: Punti mediani TechDraw Midpoints.svg Arrow-right.svg

Techdraw-point.svg Vertice cosmetico

Nome nel codice
TechDraw CosmeticVertex
Posizione nel menu
TechDraw → Aggiuge Vertici → Vertice cosmetico
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Punti mediani, Quadrante


Descrizione

Lo strumento Vertice cosmetico aggiunge ad una vista un vertice che non fa parte della geometria di origine. Questo vertice si comporta come qualsiasi altro vertice e può essere utilizzato per il dimensionamento.

TechDraw CosmeticVertex Sample.png

Vertice cosmetico utilizzato per creare una dimensione altrimenti impossibile


Utilizzo

  1. Selezionare una vista nel disegno.
  2. Premere il pulsante TechDraw CosmeticVertex.svg Vertice cosmetico.
  3. Si apre una finestra di dialogo delle azioni che permette di impostare la posizione del vertice cosmetico selezionando un punto o inserendo un offset x, y dal centro della vista selezionata.
  4. Per selezionare una posizione, premere il pulsante Selettore del punto. Fare clic su una posizione nella vista e successivamente premere OK per creare il punto. Per uscire dalla selezione dei punti senza creare un vertice cosmetico, premere il pulsante Escape picking nella finestra di dialogo.

Per eliminare un vertice cosmetico, selezionarlo e utilizzare il pulsante della barra degli strumenti TechDraw CosmeticEraser.svg Rimuovi oggetto cosmetico.

Nota: Non è possibile modificare la posizione del vertice cosmetico dopo che è stato creato. Al momento bisogna eliminarlo e crearne uno nuovo.

Proprietà

I vertici cosmetici non hanno proprietà proprie, in quanto non sono dei Document Objects. Condividono le impostazioni di colore e dimensione con i normali vertici della geometria.

Script

Vedere anche: API TechDraw e Nozioni di base sugli script di FreeCAD.

I vertici cosmetici sono accessibili dalle macro o dalla console Python.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)


Arrow-left.svg TechDraw RichTextAnnotation.svg Blocco di testo Pagina precedente:
Pagina successiva: Punti mediani TechDraw Midpoints.svg Arrow-right.svg